Package org.bukkit.event.player

# Enum Class PlayerPreLoginEvent.Result

java.lang.Object
java.lang.Enum<PlayerPreLoginEvent.Result>
org.bukkit.event.player.PlayerPreLoginEvent.Result

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerPreLoginEvent.Result>`, `Constable`

Enclosing class:
  PlayerPreLoginEvent

public static enum PlayerPreLoginEvent.Result extends Enum<PlayerPreLoginEvent.Result>
Basic kick reasons for communicating to plugins

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOWED`
The player is allowed to log in
`KICK_BANNED`
The player is not allowed to log in, due to them being banned
`KICK_FULL`
The player is not allowed to log in, due to the server being full
`KICK_OTHER`
The player is not allowed to log in, for reasons undefined
`KICK_WHITELIST`
The player is not allowed to log in, due to them not being on the white list

## Method Summary

Modifier and Type
Method
Description
`static PlayerPreLoginEvent.Result`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerPreLoginEvent.Result[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALLOWED

public static final PlayerPreLoginEvent.Result ALLOWED
The player is allowed to log in

### KICK_FULL

public static final PlayerPreLoginEvent.Result KICK_FULL
The player is not allowed to log in, due to the server being full

### KICK_BANNED

public static final PlayerPreLoginEvent.Result KICK_BANNED
The player is not allowed to log in, due to them being banned

### KICK_WHITELIST

public static final PlayerPreLoginEvent.Result KICK_WHITELIST
The player is not allowed to log in, due to them not being on the white list

### KICK_OTHER

public static final PlayerPreLoginEvent.Result KICK_OTHER
The player is not allowed to log in, for reasons undefined

## Method Details

### values

public static PlayerPreLoginEvent.Result[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerPreLoginEvent.Result valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null